# TdApi.SetEmojiStatus (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetEmojiStatus

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetEmojiStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetEmojiStatus

Enclosing class:
  TdApi

public static final class TdApi.SetEmojiStatus extends TdApi.Function<TdApi.Ok>
Changes the emoji status of the current user; for Telegram Premium users only. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`duration`
Duration of the status, in seconds; pass 0 to keep the status active until it will be changed manually.
`TdApi.EmojiStatus`
`emojiStatus`
New emoji status; pass null to switch to the default badge.

## Constructor Summary

Constructors
Constructor
Description
`SetEmojiStatus()`
Changes the emoji status of the current user; for Telegram Premium users only.
`SetEmojiStatus(TdApi.EmojiStatus emojiStatus, int duration)`
Changes the emoji status of the current user; for Telegram Premium users only.
`SetEmojiStatus(DataInput input)`
Changes the emoji status of the current user; for Telegram Premium users only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emojiStatus

public TdApi.EmojiStatus emojiStatus
New emoji status; pass null to switch to the default badge.

### duration

public int duration
Duration of the status, in seconds; pass 0 to keep the status active until it will be changed manually.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetEmojiStatus

public SetEmojiStatus()
Changes the emoji status of the current user; for Telegram Premium users only. Returns `Ok`

### SetEmojiStatus

public SetEmojiStatus(TdApi.EmojiStatus emojiStatus, int duration)
Changes the emoji status of the current user; for Telegram Premium users only. Returns `Ok`

Parameters:
  `emojiStatus` - EmojiStatus New emoji status; pass null to switch to the default badge.
  `duration` - int Duration of the status, in seconds; pass 0 to keep the status active until it will be changed manually.

### SetEmojiStatus

public SetEmojiStatus(DataInput input) throws IOException
Changes the emoji status of the current user; for Telegram Premium users only. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`